GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "a298839a-3121-41a5-9215-50e4ba6c5a1d",
"private_locations": [
{
"private_location_id": "d5a00a51-0048-47e4-96c5-fdde58449dbe",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "96951579-8110-40e1-953b-f1c26ade32ad"
},
{
"private_location_id": "a3f76ec3-68d8-411e-b687-369a01ea76a2",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "133a16df-6c27-4df7-8d1b-d310b91e4108"
},
{
"private_location_id": "c5c8ba57-d9d1-4398-a7d8-3760c093822f",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b930777b-cabb-4c58-b99c-49e4209cb9e3"
}
]
},
{
"access_group": "6559737a-a1b0-4591-81d7-ea0837e78e48",
"private_locations": [
{
"private_location_id": "d5a00a51-0048-47e4-96c5-fdde58449dbe",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "96951579-8110-40e1-953b-f1c26ade32ad"
},
{
"private_location_id": "d5a00a51-0048-47e4-96c5-fdde58449dbe",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "96951579-8110-40e1-953b-f1c26ade32ad"
},
{
"private_location_id": "a3f76ec3-68d8-411e-b687-369a01ea76a2",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "133a16df-6c27-4df7-8d1b-d310b91e4108"
}
]
},
{
"access_group": "ded8cd3d-71b6-4459-8e17-22d924dec604",
"private_locations": [
{
"private_location_id": "a3f76ec3-68d8-411e-b687-369a01ea76a2",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "133a16df-6c27-4df7-8d1b-d310b91e4108"
},
{
"private_location_id": "a3f76ec3-68d8-411e-b687-369a01ea76a2",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "133a16df-6c27-4df7-8d1b-d310b91e4108"
},
{
"private_location_id": "a3f76ec3-68d8-411e-b687-369a01ea76a2",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "133a16df-6c27-4df7-8d1b-d310b91e4108"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |